libcyrus-imap-perl_2.4.17+nocaldav-0+deb8u2_amd64.deb


Advertisement

Description

libcyrus-imap-perl - Interface to Cyrus imap client imclient library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcyrus-imap-perl
Package version 2.4.17+nocaldav
Package release 0+deb8u2
Package architecture amd64
Package type deb
Installed size 435 B
Download size 182.25 KB
Official Mirror ftp.br.debian.org
The Cyrus::IMAP module provides an interface to the Cyrus imclient
library.  These are primarily useful for implementing cyradm operations
within a Perl script; there are easier ways to implement general client
operations, although they may be more limited in terms of authentication
options when talking to a Cyrus imapd.
The modules that compose Cyrus::SIEVE are also included, but they are
undocumented upstream.
For more information, please see the cyrus-common package.

Alternatives

Package Version Architecture Repository
libcyrus-imap-perl_2.4.17+nocaldav-0+deb8u2_i386.deb 2.4.17+nocaldav i386 Debian Main
libcyrus-imap-perl - - -

Requires

Name Value
dpkg >= 1.17.14
libc6 >= 2.15
libdb5.3 -
libsasl2-2 -
libssl1.0.0 >= 1.0.0
multiarch-support -
perl >= 5.20.2-3+deb8u6
perlapi-5.20.2 -
zlib1g >= 1:1.1.4

Replaces

Name Value
libcyrus-imap-perl22 -
libcyrus-imap-perl24 << 2.4.17+caldav~beta10-2~

Download

Type URL
Binary Package libcyrus-imap-perl_2.4.17+nocaldav-0+deb8u2_amd64.deb
Source Package cyrus-imapd-2.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcyrus-imap-perl deb package:
    # sudo apt-get install libcyrus-imap-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Cyrus/IMAP.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Cyrus/IMAP/Admin.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Cyrus/IMAP/IMSP.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Cyrus/IMAP/Shell.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Cyrus/SIEVE/managesieve.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Cyrus/IMAP/IMAP.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Cyrus/SIEVE/managesieve/managesieve.so
/usr/share/doc/libcyrus-imap-perl/NEWS.Debian.gz
/usr/share/doc/libcyrus-imap-perl/changelog.Debian.gz
/usr/share/doc/libcyrus-imap-perl/changelog.gz
/usr/share/doc/libcyrus-imap-perl/changelog.html.gz
/usr/share/doc/libcyrus-imap-perl/copyright
/usr/share/lintian/overrides/libcyrus-imap-perl
/usr/share/man/man3/Cyrus::IMAP.3pm.gz
/usr/share/man/man3/Cyrus::IMAP::Admin.3pm.gz
/usr/share/man/man3/Cyrus::IMAP::IMSP.3pm.gz
/usr/share/man/man3/Cyrus::IMAP::Shell.3pm.gz
/usr/share/man/man3/Cyrus::SIEVE::managesieve.3pm.gz

Changelog

2016-11-07 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+nocaldav-0+deb8u2) jessie; urgency=medium
* Proper fix for LIST GROUP broken (Closes: #831554)
2015-12-30 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+nocaldav-0~deb8u1) jessie; urgency=medium
* [CVE-2015-8077,CVE-2015-8077,CVE-2015-8078]: fix urlfetch range
handling flaw in Cyrus IMAP
* Remove the experimental caldav support
* Replication got unbroken with caldav support removal (Closes: #799724)
* Always disable SSLv3 and TLS compression
* Workaround subshell losing variables in while loop (Closes: #803976)
* Don't fail when database type disappears, just warn the user (Closes: #803965)
2015-03-24 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-18) unstable; urgency=medium
* Fix PIDFile location in sysvinit script (Closes: #778781)
* Fix ACL string corruption on removal of an ACL identifier
(Closes: #778779)
2015-02-02 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-17) unstable; urgency=medium
[Daniel Dickinson]
* Fix users in virtual domains cannot access caldav/carddav
(Closes: #774128)
2015-01-07 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-16) unstable; urgency=medium
* Manually add dpkg (>= 1.17.14) to Pre-Depends to have correctly
working dpkg-maintscript-helper symlink_to_dir without full path
* Format debian/* with wrap-and-sort -a
2014-12-31 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-14) unstable; urgency=medium
* Bump required debhelper version to 9.20141221~ to it correctly set
${misc:Pre-Depends}
* Drop Build-Depends on dpkg-dev that's not needed
2014-12-30 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-13) unstable; urgency=medium
* Force dpkg-dev to 1.17.22 to have correct Pre-Depends
2014-12-03 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-12) unstable; urgency=medium
* Add Breaks/Replaces for old cyrus-imapd-2.2 dummy packages 
to cleanup old installations.
* Install upstream changelogs to all real packages and Debian changelogs
to all packages
2014-12-02 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-11) unstable; urgency=medium
* Add more missing symlink_to_dir calls based on last X packages
from testing.
2014-12-02 - Ondřej Surý <ondrej@debian.org>
cyrus-imapd-2.4 (2.4.17+caldav~beta10-10) unstable; urgency=medium
* Last attempt to get the maintscripts right (Closes: #771749)

See Also

Package Description
libdacs-dev_1.4.28b-3_amd64.deb Distributed Access Control System (DACS) - shared library
libdacs1_1.4.28b-3_amd64.deb Distributed Access Control System (DACS) - shared library
libdaemon-control-perl_0.001006-1_all.deb module for creating init scripts in Perl
libdaemon-dev_0.14-6_amd64.deb lightweight C library for daemons - development files
libdaemon-doc_0.14-6_all.deb lightweight C library for daemons - documentation
libdaemon0_0.14-6_amd64.deb lightweight C library for daemons - runtime library
libdancer-logger-psgi-perl_1.0.1-2_all.deb PSGI Log handler for Dancer
libdancer-perl_1.3132+dfsg-1_all.deb effortless web application framework
libdancer-plugin-auth-extensible-perl_0.30-1_all.deb module providing extensible authentication framework for Dancer apps
libdancer-plugin-database-core-perl_0.08-1_all.deb shared core library for Dancer and Dancer2 database plugins
libdancer-plugin-database-perl_2.10-1_all.deb Dancer plugin providing easy database connections
libdancer-plugin-dbic-perl_0.2100-1_all.deb DBIx::Class interface for Dancer applications
libdancer-plugin-flashmessage-perl_0.314-1_all.deb Dancer plugin to display temporary, so called "flash messages"
libdancer-plugin-rest-perl_0.11-3_all.deb REST plugin for Dancer
libdancer-session-cookie-perl_0.25-1_all.deb encrypted cookie-based session backend for Dancer
Advertisement
Advertisement